import 'package:flutter/material.dart';

class CustomButton extends StatefulWidget {
  final String title;  // Widgetクラスでプロパティを宣言する

  const CustomButton({
    super.key,
    required this.title  // titleは必須プロパティ
  });

  @override
  State<CustomButton> createState() => _CustomButtonState();
}

class _CustomButtonState extends State<CustomButton> {
  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
        onPressed: () {
          // ボタンのタップイベント処理を書く
        },
        child: Text(widget.title)  // Widgetクラスのプロパティにアクセスする
    );
  }
}
