import 'package:custom_widget_app/sample_custom_widget.dart';
import 'package:flutter/material.dart';
import 'package:custom_widget_app/custom_button.dart';

void main() {
  runApp(const MainPage());
}

class MainPage extends StatefulWidget {

  const MainPage ({super.key});

  @override
  State<MainPage> createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  int count = 0;  // int型のcount変数を宣言

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: "Sample App",
        home: Scaffold(
            appBar: AppBar(
                title: const Text('Sample Custom Widget App')
            ),
            body: Center(
                child: Column(
                  children: [
                    const UserNameWidget(name: 'Tanaka'),
                    const UserNameWidget(name: 'Yamada', age: 22),
                    CustomButton(title: 'CustomButton $count', onPressedButton: () {
                      setState(() {  // setState() を呼び出す
                        count += 1;
                      });
                    })
                  ],
                )
            )
        )
    );
  }
}